Package org.opensaml.soap.soap11.impl

# Class FaultImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.soap11.impl.FaultImpl

All Implemented Interfaces:
  `XMLObject`, `SOAPObject`, `Fault`

public class FaultImpl extends AbstractXMLObject implements Fault
Concrete implemenation of `Fault`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private FaultActor`
`actor`
Actor that faulted.
`private Detail`
`detail`
Details of the fault.
`private FaultCode`
`faultCode`
Fault code.
`private FaultString`
`message`
Fault message.

### Fields inherited from interface org.opensaml.soap.soap11.Fault

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FaultImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`FaultActor`
`getActor()`
Gets the URI of the fault actor for this fault.
`FaultCode`
`getCode()`
Gets the fault code for this fault.
`Detail`
`getDetail()`
Gets details of this fault.
`FaultString`
`getMessage()`
Gets the fault string for this fault.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setActor(FaultActor newActor)`
Sets the URI of the fault actor for this fault.
`void`
`setCode(FaultCode newFaultCode)`
Sets the fault code for this fault.
`void`
`setDetail(Detail newDetail)`
Sets details of this fault.
`void`
`setMessage(FaultString newMessage)`
Sets the fault string for this fault.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### faultCode

@Nullable private FaultCode faultCode
Fault code.

### message

@Nullable private FaultString message
Fault message.

### actor

@Nullable private FaultActor actor
Actor that faulted.

### detail

@Nullable private Detail detail
Details of the fault.

## Constructor Details

### FaultImpl

protected FaultImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace of the element
  `elementLocalName` - name of the element
  `namespacePrefix` - namespace prefix of the element

## Method Details

### getCode

@Nullable public FaultCode getCode()
Gets the fault code for this fault.

Specified by:
  `getCode` in interface `Fault`
Returns:
  the fault code for this fault

### setCode

public void setCode(@Nullable FaultCode newFaultCode)
Sets the fault code for this fault.

Specified by:
  `setCode` in interface `Fault`
Parameters:
  `newFaultCode` - the fault code for this fault

### getMessage

@Nullable public FaultString getMessage()
Gets the fault string for this fault.

Specified by:
  `getMessage` in interface `Fault`
Returns:
  the fault string for this fault

### setMessage

public void setMessage(@Nullable FaultString newMessage)
Sets the fault string for this fault.

Specified by:
  `setMessage` in interface `Fault`
Parameters:
  `newMessage` - the fault string for this fault

### getActor

@Nullable public FaultActor getActor()
Gets the URI of the fault actor for this fault.

Specified by:
  `getActor` in interface `Fault`
Returns:
  the URI of the fault actor for this fault

### setActor

public void setActor(@Nullable FaultActor newActor)
Sets the URI of the fault actor for this fault.

Specified by:
  `setActor` in interface `Fault`
Parameters:
  `newActor` - the URI of the fault actor for this fault

### getDetail

@Nullable public Detail getDetail()
Gets details of this fault.

Specified by:
  `getDetail` in interface `Fault`
Returns:
  details of this fault

### setDetail

public void setDetail(@Nullable Detail newDetail)
Sets details of this fault.

Specified by:
  `setDetail` in interface `Fault`
Parameters:
  `newDetail` - details of this fault

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements